%define major_ver 0.9
%define minor_ver 0
Name:           wcm
Version:        %{major_ver}.%{minor_ver}
Release:        1%{?dist}
Summary:        Wayfire Config Manager

License:        MIT or CC-BY-4.0
URL:            https://github.com/WayfireWM/wcm
Source0:        %{url}/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:  gcc-c++

BuildRequires:  cmake(glm)

BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtkmm-3.0)
BuildRequires:  pkgconfig(libevdev)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(wayfire)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(wf-config) >= %{major_ver}
BuildRequires:  pkgconfig(wf-shell) >= %{major_ver}
BuildRequires:  pkgconfig(wlroots) >= 0.17.0
BuildRequires:  pkgconfig(xkbregistry)

Requires:       wayfire >= %{major_ver}
Requires:       wdisplays >= %{major_ver}
Recommends:     wf-shell >= %{major_ver}

%description
Wayfire Config Manager is a Gtk3 application to configure wayfire.
It writes the config file that wayfire reads to update option values.

%prep
%autosetup


%build
%meson -Denable_wdisplays=false
%meson_build


%install
%meson_install

%files
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/wayfire/icons
%{_datadir}/icons/hicolor/*
%{_datadir}/applications/wayfire-config-manager.desktop


%changelog
* Sat Jan 11 2025 Shawn W. Dunn <sfalken@cloverleaf-linux.org>
- 
